Create a subscription

Create a new event subscription. You can subscribe to multiple events with a single request.

BILL provides a full catalog of all the events that you can subscribe to with GET /v3/events/catalog. See Get events catalog in the API reference for more information.

See Webhooks in the Guides section for more information, sample requests, and notification payloads for BILL events.

Body Params
string
required
length ≥ 1

Subscription name

status
object
required

Subscription status information

events
array of objects
required
length ≥ 1

Subscription events information. You can retrieve event type and version with GET /v3/events/catalog.

events*
string
required
length ≥ 1

Event type

string
required
length ≥ 1

Event type version

string
required
length ≥ 1

Event notification URL. The URL must be HTTPS. BILL uses this URL to send you event notifications.

Headers
string
required

Idempotency key. The key must be in the UUID4 format.

string | null

API session ID generated with /v3/login

string | null

Developer key sent to you by BILL when you create a developer account. Set sessionId and devKey for organization-level BILL v3 API webhook events.

string | null

Application key sent to you by BILL when you create a partner account. Set sessionId and appKey for partner-level BILL v3 API webhook events.

string | null

Access token for Spend & Expense API authentication. Set apiToken for Spend & Expense webhook events.

Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json